This page explains how to connect to our Chargeback API gateway.
Connecting to the Chargeback API means you can automate submissions of your chargebacks.
IP/Host details
| ENVIRONMENT | SERVICE | IP/HOST | PORT | URI |
|---|---|---|---|---|
| SIT/UAT | First chargeback | chargebacks.test.tutuka.cloud | 443 | https://chargebacks.test.tutuka.cloud/client/ |
| PROD | First chargeback | chargebacks.prod.tutuka.cloud | 443 | https://chargebacks.prod.tutuka.cloud/client/ |
API Gateway token
Below are the default specifications for the token bearer details for authentication as reflected in the First Chargeback example here.
| HTTP Method | POST |
| URL+URI (SIT/UAT) | https://chargebacks.test.tutuka.cloud/token/generate |
| URL+URI (PROD) | https://chargebacks.prod.tutuka.cloud/token/generate |
| HTTP Headers | Content-Type = application/x-www-form-urlencoded |
| Query String Parameters | None |
| Format | JSON |
| Authentication | Basic BASE64_ENCODED_CREDENTIALS(user:pass) |
| Request | None |
| Success Response Code | 200 |
| Success Response | {; "access_token": "ACCESS_TOKEN",; "expires_in": TIME_IN_SECONDS,; "token_type": "Bearer";} |
| Error Response Code | 400 |
| Error Response | {; "responseCode": 0",; "responseMessage": "invalid_client|unauthorized_client";} |
| Response Messages | Invalid_client - Client authentication failed.; Unauthorized_client - client is not allowed to generate or refresh tokens. |
Other response codes
Further response codes and details can be found here.
